Create a new glossary entity to organize business terminology, definitions, and hierarchical term relationships for consistent data understanding using the Collate REST API.
POST
/
v1
/
glossaries
POST /v1/glossaries
Copy
from metadata.sdk import configurefrom metadata.sdk.entities import Glossariesfrom metadata.generated.schema.api.data.createGlossary import CreateGlossaryRequestconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")request = CreateGlossaryRequest( name="BusinessGlossary", displayName="Business Glossary", description="Standard business terminology for the organization", mutuallyExclusive=False)glossary = Glossaries.create(request)print(f"Created: {glossary.fullyQualifiedName}")
Use PUT /v1/glossaries instead of POST to perform an upsert. If a glossary with the same fullyQualifiedName already exists, it will be updated; otherwise, a new glossary is created. The request body is the same as POST.
Copy
curl -X PUT "{base_url}/api/v1/glossaries" \ -H "Authorization: Bearer {access_token}" \ -H "Content-Type: application/json" \ -d '{ ... same body as POST ... }'
PUT will not return a 409 conflict error if the entity already exists — it will update the existing entity instead.